Skip to main content
PATCH
Update notification settings

Path Parameters

workspaceSlug
string
required

URL-safe workspace identifier.

Body

application/json

Request payload for updating notification settings.

Request payload for updating notification settings.

notificationEventsApp
string[]

Notification events to receive in-app.

Defines the type of notification event sent to a user.

This enumeration corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, pipeline-run, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.invited"
notificationEventsEmail
string[]

Notification events to receive via email.

Defines the type of notification event sent to a user.

This enumeration corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, pipeline-run, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.invited"
notifyViaEmail
boolean

Whether to send email notifications.

Response

Response for notification settings within a workspace.

Response for notification settings within a workspace.

notificationEventsApp
string[]
required

Notification events to receive in-app.

Defines the type of notification event sent to a user.

This enumeration corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, pipeline-run, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.invited"
notificationEventsEmail
string[]
required

Notification events to receive via email.

Defines the type of notification event sent to a user.

This enumeration corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for member, connection-sync, pipeline-run, and system notifications. The values mirror the WebhookEvent [blocked] naming for the events the two channels share.

Allowed value: "member.invited"
notifyViaEmail
boolean
required

Whether to send email notifications.